VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Recovery::Backup Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Backup:

## Classes
class | BackupRequest
class | LocalizableMessage
class | LocationType
class | ReturnResult
class | ReturnStatus

## Avaliable Methods
public method | new ()
public method | validate ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Backup` interface provides methods Performs backup restore operations

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Backup::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Recovery::Backup::validate | ( |  | ) |

Check for backup errors without starting backup.

Parameters

  piece | [REQUIRED] BackupRequest Structure . The value must be Com::Vmware::Appliance::Recovery::Backup::BackupRequest.

Return values

  ReturnResult | Structure The return type will be Com::Vmware::Appliance::Recovery::Backup::ReturnResult

Exceptions

  Com::Vmware::Vapi::Std::Errors::FeatureInUse | A backup or restore is already in progress
  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in validate: 10
sub validate {
my ($self, %args) = @_;
my $piece = $args {piece};
$self->validate_args (method_name => 'validate',
method_args => \%args);
return $self->invoke (method_name => 'validate',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Backup.pm